import * as clickhouse from "@clickhouse/client";

export const clickhouseClient = clickhouse.createClient({
  url: process.env.CLICKHOUSE_HOST,
  username: process.env.CLICKHOUSE_USERNAME,
  password: process.env.CLICKHOUSE_PASSWORD,
  database: process.env.CLICKHOUSE_DATABASE,
});

import _knex from "knex";

export const knex = _knex({
  client: "postgres",
  acquireConnectionTimeout: 10_000, // 10 secs
  pool: {
    min: 4,
    max: 8,
  },
  connection: {
    host: process.env.POSTGRES_HOST,
    database: process.env.POSTGRES_DATABASE,
    password: process.env.POSTGRES_PASSWORD,
    application_name: `knex-healthcheck`,
  },
});
